maddoger/yii2-select2

Yii2 Select2 Widget.

Installs: 2 202

Dependents: 2

Suggesters: 0

Security: 0

Stars: 1

Watchers: 2

Forks: 0

Open Issues: 1

Type:yii2-extension

v1.4.2 2015-05-14 14:27 UTC

This package is not auto-updated.

Last update: 2022-06-25 04:36:10 UTC


README

Select2 widget is a wrapper of Select2 for Yii 2 framework.

Installation

The preferred way to install this extension is through composer.

Either run

php composer.phar require --prefer-dist maddoger/yii2-select2 "*"

or add

"maddoger/yii2-select2": "*"

to the require section of your composer.json file.

Usage

Once the extension is installed, simply use it in your code by:

use maddoger\widgets\Select2;

echo $form->field($model, 'field')->widget(Select2::className(), [
    'options' => [
        'multiple' => true,
        'placeholder' => 'Choose item'
    ],
    'clientOptions' => [
        'width' => '100%',
    ],
    'items' => [
        'item1',
        'item2',
        ...
    ]
]);